## org.red5.server.api.event
Interface IEventDispatcher

All Known Subinterfaces:
  IBasicScope, IBroadcastScope, IConnection, ICoreObject, IGlobalScope, IRemotingConnection, IScope, IServiceCapableConnection, ISharedObject, IStreamCapableConnection

All Known Implementing Classes:
  BaseConnection, BaseRTMPTConnection, BasicScope, BroadcastScope, ClientBroadcastStream, ClientSharedObject, EdgeRTMPMinaConnection, GlobalScope, RemotingConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection, Scope, SharedObjectScope, WebScope

    public interface IEventDispatcher

IEventDispatcher interface implementations dispatch events

Method Summary
`void` `dispatchEvent(IEvent event)` Dispatches event

Method Detail

### dispatchEvent

    void dispatchEvent(IEvent event)

  Dispatches event

  Parameters:
    `event` - Event object

Copyright © 2006-2010 The Red5 Project